/**************************************************
*  FILE:  message.h                               *
*  AUTHOR:  Steven Silvey                         *
*  DATE:  10/13/2006                              *
*                                                 *
**************************************************/

#ifndef _MESSAGE_H_
#define _MESSAGE_H_

#include "game.h"

class MESSAGE
{
public:
	bool finished;
	
	MESSAGE();
	MESSAGE(char *s, int t, int X, int Y);
	~MESSAGE();


	void update();
	void draw(BITMAP *bDisplay);
	void destroy();

private:
	int x,y;
	char cText[30];
	int iTime;
	int kill_timer;
	int update_timer;

	void init();
};

#endif /* End of _MESSAGE_H_ */

